Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class IServeCommServer

    java.lang.Object
      ix.iserve.ipc.IServeCommServer

All Implemented Interfaces:
  IXAgentExtension

Direct Known Subclasses:
  IServeSLCommServer

    public class IServeCommServer

extends java.lang.Object
implements IXAgentExtension

Handles messages for a `IServeCommStrategy`.

Nested Class Summary
`static class` | `IServeCommServer.AbandonRequest`
`protected static class` | `IServeCommServer.Command`
`(package private) class` | `IServeCommServer.ControlServlet` Provides a "control" page for the server.
`protected class` | `IServeCommServer.DefaultIdentityChecker`
`protected class` | `IServeCommServer.DefaultIdentityCheckerFactory`
`protected class` | `IServeCommServer.IdentityChecker`
`protected static interface` | `IServeCommServer.IdentityCheckerFactory`
`class` | `IServeCommServer.IllegalIdentityCheckerChange`
`protected class` | `IServeCommServer.IXIdentityChecker`
`protected class` | `IServeCommServer.IXIdentityCheckerFactory`
`(package private) class` | `IServeCommServer.NextMessageServlet`
`(package private) class` | `IServeCommServer.RegistrationServlet`
`(package private) class` | `IServeCommServer.SendServlet`
`(package private) static class` | `IServeCommServer.ServerCommand`
`(package private) class` | `IServeCommServer.StatusServlet` Provides a "status" page for the server.
`protected class` | `IServeCommServer.User`

Field Summary
`protected java.util.Map<java.lang.String,IServeCommServer.User>` | `userNameToUserMap`

Constructor Summary
`IServeCommServer()` Constructor used when making a standalone comm server.
`IServeCommServer(IServe containingAgent)` Constructor also used when making an `IXAgentExtension`.

Method Summary
`protected void` | `addServlet(javax.servlet.http.HttpServlet servlet, java.lang.String pathSpec)`
`protected void` | `addServlets()`
`protected java.lang.String` | `agoTime(java.util.Date then, java.util.Date now)`
`protected static void` | `do_main(java.lang.String[] argv, java.lang.Class<? extends IServeCommServer> serverClass)`
`protected IServeCommServer.User` | `ensureIXUser(java.lang.String name)`
`protected IServeCommServer.User` | `ensureUser(java.lang.String name)`
`protected void` | `fillInRequestInfo(MessageWrapper w, javax.servlet.http.HttpServletRequest req)`
`protected int` | `getListenPort()`
`protected java.lang.String` | `getName()`
`protected IServeCommServer.User` | `getUser(java.lang.String name)`
`protected java.util.List<IServeCommServer.User>` | `getUsers()`
`void` | `installExtension()` Called when installing as an `IXAgentExtension`.
`static void` | `main(java.lang.String[] argv)` Used to run a standalone comm server.
`protected java.lang.String` | `makeServerStatus()`
`protected void` | `processCommandLineArguments()`
`protected void` | `recordUser(IServeCommServer.User user)`
`protected void` | `removeUser(IServeCommServer.User user)`
`protected void` | `removeUser(java.lang.String userName)`
`protected void` | `requireCommand(IServeCommServer.Command command, MessageWrapper w)`
`protected IServeCommServer.User` | `requireUser(java.lang.String name)`
`protected void` | `start()` Used to start the server when running standalone.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userNameToUserMap

    protected final java.util.Map<java.lang.String,IServeCommServer.User> userNameToUserMap

Constructor Detail

### IServeCommServer

    public IServeCommServer()

  Constructor used when making a standalone comm server.

### IServeCommServer

    public IServeCommServer(IServe containingAgent)

  Constructor also used when making an `IXAgentExtension`.

Method Detail

### installExtension

    public void installExtension()

  Called when installing as an `IXAgentExtension`.

  Specified by:
    `installExtension` in interface `IXAgentExtension`

### main

    public static void main(java.lang.String[] argv)

  Used to run a standalone comm server.

### do_main

    protected static void do_main(java.lang.String[] argv,
                                  java.lang.Class<? extends IServeCommServer> serverClass)

### start

    protected void start()

  Used to start the server when running standalone.

### getListenPort

    protected int getListenPort()

### getName

    protected java.lang.String getName()

### processCommandLineArguments

    protected void processCommandLineArguments()

### addServlets

    protected void addServlets()

### addServlet

    protected void addServlet(javax.servlet.http.HttpServlet servlet,
                              java.lang.String pathSpec)

### fillInRequestInfo

    protected void fillInRequestInfo(MessageWrapper w,
                                     javax.servlet.http.HttpServletRequest req)
                              throws HttpRequestException

  Throws:
    `HttpRequestException`

### requireCommand

    protected void requireCommand(IServeCommServer.Command command,
                                  MessageWrapper w)
                           throws HttpRequestException

  Throws:
    `HttpRequestException`

### makeServerStatus

    protected java.lang.String makeServerStatus()

### agoTime

    protected java.lang.String agoTime(java.util.Date then,
                                       java.util.Date now)

### ensureIXUser

    protected IServeCommServer.User ensureIXUser(java.lang.String name)

### ensureUser

    protected IServeCommServer.User ensureUser(java.lang.String name)

### getUser

    protected IServeCommServer.User getUser(java.lang.String name)

### requireUser

    protected IServeCommServer.User requireUser(java.lang.String name)

### getUsers

    protected java.util.List<IServeCommServer.User> getUsers()

### recordUser

    protected void recordUser(IServeCommServer.User user)

### removeUser

    protected void removeUser(java.lang.String userName)

### removeUser

    protected void removeUser(IServeCommServer.User user)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD